import { Program } from '@babel/types';
import { AttributeValueFormatter } from '@nativescript-community/xml-ui-compiler';
export interface LoaderOptions {
    appPath: string;
    platform: string;
    compileWithMarkupErrors?: boolean;
    useDataBinding?: boolean;
    preprocess?: {
        attributeValueFormatter?: AttributeValueFormatter;
        transformAst?: (ast: Program, generateFunc: any) => string;
    };
}
export declare function chainLoaderConfiguration(config: any, options: LoaderOptions): void;
